Deeply API Documentation main logoDeeply API Documentation main logo textDeeply API Documentation main logo text
User GuideServer API Reference
Search...
k
LanguageENKO

© 2026 Deeply Inc.

Deeply Logo Icon

Deeply API Documentation

    Release Notes

    Quick Start

    API Quick Start Guide
    Authorization
    Rate Limit

    Architecture

    Overall Architecture
    Edge Server System

    Events

    Events
    Event Categories
    List Events
    GET
    Get An Event
    GET

    Composite Events

    Composite Events
    List Composite Events
    GET
    Get A Composite Event
    GET
    Listen Live Composite Events
    WebSocket

    Live Events

    Live Events
    Listen Live Events
    WebSocket

    Edges

    Edge Server
    List Edge Servers
    GET
    Get An Edge Server
    GET
    Update Edge Server
    PATCH

    Microphones

    Mic Device
    List Mic Devices
    GET
    Get A Mic Device
    GET
    Update Mic Device
    PATCH

    Auth

    Reissue Token
    GET
    1. Reference
    2. Events
    3. List Events

    List Events

    Retrieve a paginated list of events collected from all edge servers.

    Last updated: November 11, 2026

    GET
    /api/v1/events

    Description

    API to retrieve a list of events from all edge servers. The result is paginated based on the provided query parameters. Refer to the Event Object for more details.

    Authentication

    Access Token is required via Bearer token authentication. Refer to the Authentication section for more details.

    Query Parameters

    page
    Optional
    integer || 1
    Page number for pagination (must be > 0)
    size
    Optional
    integer || 10
    Number of items per page (must be > 0 and < 101)
    start
    Optional
    string (datetime) || null
    Start datetime for filtering events (ISO 8601 format)
    end
    Optional
    string (datetime) || null
    End datetime for filtering events (ISO 8601 format)
    mic_id
    Optional
    string || null
    Filter events by mic ID. Repeat the same query parameter to filter by multiple mic IDs
    label_id
    Optional
    string || null
    Filter events by label ID. Repeat the same query parameter to filter by multiple label IDs

    Response

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    {
      "page": 1,
      "size": 10,
      "total_cnt": 100,
      "max_page": 10,
      "results": [
        {
          "id": "string",
          "label": {
            "id": "string",
            "name": {
              "ko": "string",
              "en": "string"
            }
          },
          "confidence": 0,
          "mic": {
            "id": "string",
            "name": "string",
            "location": {
              "latitude": -33.75,
              "longitude": 151.25
            }
          },
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z"
        }
      ]
    }

    Request Examples

    Run In Postman

    Basic Request

    1
    2
    3
    4
    5
    6
    7
    8
    const response = await fetch('http://{{EDGE_IP}}:8100/api/v1/events?page=1&size=10', {
      method: 'GET',
      headers: {
        "Authorization": "Bearer YOUR_ACCESS_TOKEN"
      }
    });
    
    const data = await response.json();

    Request with Time Range

    1
    2
    3
    4
    5
    6
    7
    8
    const response = await fetch('http://{{EDGE_IP}}:8100/api/v1/events?page=1&size=10&start=2024-01-01T00:00:00Z&end=2024-01-31T23:59:59Z', {
      method: 'GET',
      headers: {
        "Authorization": "Bearer YOUR_ACCESS_TOKEN"
      }
    });
    
    const data = await response.json();

    Request with Mic Id / Label Id

    1
    2
    3
    4
    5
    6
    7
    8
    const response = await fetch('http://{{EDGE_IP}}:8100/api/v1/events?page=1&size=10&mic_id=example_mic_id&label_id=normal_speech_female', {
      method: 'GET',
      headers: {
        "Authorization": "Bearer YOUR_ACCESS_TOKEN"
      }
    });
    
    const data = await response.json();

    Request with Multiple Mic Ids

    1
    2
    3
    4
    5
    6
    7
    8
    const response = await fetch('http://{{EDGE_IP}}:8100/api/v1/events?page=1&size=10&mic_id=example_mic_id1&mic_id=example_mic_id2', {
      method: 'GET',
      headers: {
        "Authorization": "Bearer YOUR_ACCESS_TOKEN"
      }
    });
    
    const data = await response.json();
    Event Categories
    Get An Event
    DescriptionAuthenticationResponseRequest ExamplesBasic RequestRequest with Time RangeRequest with Mic Id / Label IdRequest with Multiple Mic Ids